summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Brodsky2015-10-05 00:37:53 +0200
committerKevin Brodsky2015-10-05 00:37:53 +0200
commit82e7411003ecf3a1adac0811a6686609bbcc5355 (patch)
treecc31caba7d49422f0328f3a0834f381da3222d5c
parent1ba98372184d22961fd69fdb8b758fd1761bfc1a (diff)
downloadaur-82e7411003ecf3a1adac0811a6686609bbcc5355.tar.gz
upgpkg: libbobcat 4.01.02
Arguments to "./build install" changed, removing the relative path issue introduced in 4.01.00. Python is thus removed from the dependencies.
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD18
2 files changed, 9 insertions, 16 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1a9a1be99d5..041d57c1f79 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = libbobcat
pkgdesc = Bobcat (Brokken's Own Base Classes And Templates) library
- pkgver = 4.01.01
+ pkgver = 4.01.02
pkgrel = 1
url = https://fbb-git.github.io/bobcat/
arch = i686
@@ -12,11 +12,10 @@ pkgbase = libbobcat
makedepends = libmilter>=8.14.4
makedepends = libx11>=1.6.2
makedepends = yodl>=3.05.00
- makedepends = python
depends = openssl
depends = libx11>=1.6.2
- source = https://github.com/fbb-git/bobcat/archive/4.01.01.tar.gz
- md5sums = ad6d9aa566f2edd75307d82e7d5cdbf7
+ source = https://github.com/fbb-git/bobcat/archive/4.01.02.tar.gz
+ md5sums = 38d6f0d310e6e6c99eeafebeb272b07e
pkgname = libbobcat
diff --git a/PKGBUILD b/PKGBUILD
index a84de8b2642..20ab79920aa 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Kevin Brodsky <corax26 at gmail dot com>
# Contributor: Anton Jongsma <anton@felrood.nl>
pkgname=libbobcat
-pkgver=4.01.01
+pkgver=4.01.02
pkgrel=1
pkgdesc="Bobcat (Brokken's Own Base Classes And Templates) library"
arch=('i686' 'x86_64')
@@ -10,10 +10,10 @@ license=('GPL')
# Versions taken from the 'required' file in sources
depends=('openssl' 'libx11>=1.6.2')
makedepends=('icmake>=7.22.01' 'openssl' 'readline' 'libmilter>=8.14.4'
- 'libx11>=1.6.2' 'yodl>=3.05.00' 'python')
+ 'libx11>=1.6.2' 'yodl>=3.05.00')
optdepends=()
source=("https://github.com/fbb-git/bobcat/archive/${pkgver}.tar.gz")
-md5sums=('ad6d9aa566f2edd75307d82e7d5cdbf7')
+md5sums=('38d6f0d310e6e6c99eeafebeb272b07e')
build() {
cd "$srcdir/bobcat-${pkgver}/bobcat"
@@ -26,14 +26,8 @@ build() {
package() {
cd "$srcdir/bobcat-${pkgver}/bobcat"
- # There seems to be a bug in the install function that causes the package
- # directory to be used as a relative path from the current directory for
- # gzip commands. I have found no other way to work around this issue than to
- # make the package directory relative; the easiest way to do that is using
- # Python (which is I think a reasonable dependency).
- relpkgdir=$(python -c "import os.path; print(os.path.relpath('$pkgdir', '.'))")
- ./build install "$relpkgdir" "$relpkgdir"
- # Normal version:
- #./build install "$pkgdir" "$pkgdir"
+ # Since 4.01.02, first argument to install is <what to install> (x = all),
+ # and second is the base directory (absolute path, unlike 4.01.00)
+ ./build install x "$pkgdir"
}